Titanium.UI.setBackgroundColor('#ffffff');

var eb = {}; //`bh` is our app's namespace
Ti.include( //we'll be including all the files for our namespace in the root app context
	'factory.js',
	'custom_functions.js',
	'ui.js',
	'network.js'
);

//Display splash screen
var splashWin = eb.ui.createSplashScreen();
splashWin.open();

//Use our custom UI constructors to build the app's UI
var tabs = eb.ui.createApplicationTabGroup();

//Only open tabs if internet is connected
if (eb.ui.returnNetworkStatus() == true)
{
	//Open main tab group after delay for splash screen
	setTimeout(function(){
		splashWin.close();
		tabs.open();
	}, 2000);
}
else
{
	eb.ui.alertNetworkStatus();
}

//Set event listener to go back to splash if no internet is detected
Titanium.Network.addEventListener('change', function(e)
{
	if (eb.ui.returnNetworkStatus() == true)
	{
		splashWin.close();
		tabs.open();
	}
	else
	{
		tabs.close();
		splashWin.open();
		eb.ui.alertNetworkStatus();
	}
});

//Set event listener to go back to splash if no internet is detected
Ti.App.addEventListener('resume', function(e)
{
	if (eb.ui.returnNetworkStatus() == false)
	{
		tabs.close();
		splashWin.open();
	}
});

