// ###########################################
// ##
// ##  RELEASE MEMORY POOL CLASS V 1.0
// ##  by Adriano Paladini
// ##  
// ###########################################


/*
How to use:

	In your app, insert:

	Ti.include('pool.js');


	When you want move object to pool call:

	pool.release(object);
	
	
	When you ready to clear pool, call:
	
	pool.clear();



That's it! Enjoy

*/


// ###########################################
// ##               CLASS
// ###########################################

var pool = {
	memPool:'',
	init: function(){
		this.memPool = Ti.UI.createWindow();
		this.memPool.open();
		this.memPool.hide();
	},
	release: function(objToClear){
		objParent = objToClear.getParent();
		if(objParent!=null){
			objParent.remove(objToClear);
		}
		this.memPool.add(objToClear);
	},
	clear: function(){
		this.memPool.close();
		this.init();
	}
};
pool.init();


// ###########################################
// ##                 EOF
// ###########################################